import React from 'react';
import type { Metadata } from 'next';
import { getExpertsList } from '../../../actions/experts';
import { ExpertsFilter } from '../../../components/Experts/Filter';
import { ExpertsAdditionalFilter } from '../../../components/Experts/AdditionalFilter';
import { ExpertsList } from '../../../components/Experts/ExpertsList';
import { CustomPagination } from '../../../components/view';

export const metadata: Metadata = {
    title: 'Bbuddy - Experts',
    description: 'Bbuddy desc experts'
};

export default async function Experts({ params, searchParams }: { params: { locale: string }, searchParams: { [key: string]: string | string[] | undefined } }) {
    console.log('search params', searchParams);
    const data = await getExpertsList({
        "themesTagIds": [
            1,2,3,4,5,6,7,8
        ],
        "priceFrom": null,
        "priceTo": null,
        "durationFrom": null,
        "durationTo": null
    }, params.locale);

    return (
        <div className="page-search">
            <div className="main-find">
                <div className="b-inner">
                    <div className="main-find__top">
                        <h2 className="title-h2">Find a expert</h2>
                        <div className="open-filter">
                            <img src="/images/options-outline.svg" alt="" />
                        </div>
                    </div>
                    <div className="row">
                        <div className="col-xl-3 col-lg-4 d-none d-lg-block">
                            <ExpertsFilter locale={params.locale} />
                        </div>
                        <div className="col-xl-9 col-lg-8 ">
                            <ExpertsAdditionalFilter />
                            <ExpertsList data={data} locale={params.locale} />
                            <CustomPagination total={20} />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    );
};
